Loading...
Searching...
No Matches
globjects::AttachedRenderbuffer Class Reference

Wrapper of render buffer attachments of a frame buffer object. More...

`#include <globjects/include/globjects/AttachedRenderbuffer.h>`

Inheritance diagram for globjects::AttachedRenderbuffer:

## Public Member Functions

| AttachedRenderbuffer (Framebuffer *fbo, gl::GLenum attachment, Renderbuffer *renderBuffer)
virtual bool | isRenderBufferAttachment () const override
Renderbuffer * | renderBuffer ()
const Renderbuffer * | renderBuffer () const
Public Member Functions inherited from globjects::FramebufferAttachment
| FramebufferAttachment (Framebuffer *fbo, gl::GLenum attachment)
gl::GLenum | attachment () const
gl::GLint | getParameter (gl::GLenum pname) const
virtual bool | isTextureAttachment () const
AttachedTexture * | asTextureAttachment ()
const AttachedTexture * | asTextureAttachment () const
AttachedRenderbuffer * | asRenderBufferAttachment ()
const AttachedRenderbuffer * | asRenderBufferAttachment () const
std::string | attachmentString () const
Public Member Functions inherited from globjects::Referenced
| Referenced ()
void | ref () const
void | unref () const
int | refCounter () const
Public Member Functions inherited from globjects::HeapOnly
| HeapOnly ()
void | destroy () const

## Protected Attributes

ref_ptr< Renderbuffer > | m_renderBuffer
Protected Attributes inherited from globjects::FramebufferAttachment
Framebuffer * | m_fbo
gl::GLenum | m_attachment

## Additional Inherited Members

Protected Member Functions inherited from globjects::Referenced
virtual | ~Referenced ()
Protected Member Functions inherited from globjects::HeapOnly
virtual | ~HeapOnly ()

## Detailed Description

Wrapper of render buffer attachments of a frame buffer object.

This class is a link between a RenderBufferObject and the FrameBufferObject it is attached to. To get the attached render buffer, call renderBuffer().

See also
  Renderbuffer
  Framebuffer

## Constructor & Destructor Documentation

## AttachedRenderbuffer()

globjects::AttachedRenderbuffer::AttachedRenderbuffer | ( | Framebuffer * | fbo,
|  | gl::GLenum | attachment,
|  | Renderbuffer * | renderBuffer
| ) |  |

## Member Function Documentation

## isRenderBufferAttachment()

virtual bool globjects::AttachedRenderbuffer::isRenderBufferAttachment | ( |  | ) | const

override virtual

Reimplemented from globjects::FramebufferAttachment.

## renderBuffer() [1/2]

Renderbuffer * globjects::AttachedRenderbuffer::renderBuffer | ( |  | ) |

## renderBuffer() [2/2]

const Renderbuffer * globjects::AttachedRenderbuffer::renderBuffer | ( |  | ) | const

## Member Data Documentation

## m_renderBuffer

ref_ptr<Renderbuffer> globjects::AttachedRenderbuffer::m_renderBuffer

protected

The documentation for this class was generated from the following file:

- AttachedRenderbuffer.h